Bug 241958 - "yum install kernel-xen" installs packages for wrong arch
"yum install kernel-xen" installs packages for wrong arch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 18:47 EDT by Michael DeHaan
Modified: 2014-03-16 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:37:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2007-05-31 18:47:57 EDT
Description of problem:

On my ia32e system, running "yum install kernel-xen" suprisingly installs both
kernel-xen.i686 and kernel-xen.x86_64".  The i686 one is the one that gets
installed in grub, which causes kernel oops messages.  Only the x86_64 kernel
should be installed.


Version-Release number of selected component (if applicable):

yum 3.1.6
kernel-xen  2.6.20-2925.9.fc7


How reproducible:

Always

Steps to Reproduce:
1.  Install FC7 clean on x86_64 box (I used Test 4 to do this)
2.  "yum install kernel-xen"
3.  reboot & profit
  
Actual results:

yum installs BOTH kernel packages for i686 and x86_64.  The i686 xen kernel
entry gets added to grub, and it dies quickly after booting. 

Expected results:

yum installs kernel packages for x86_64 only (matching the arch), and only the
desired kernel gets added to grub.

Additional info:

Smolt:
       UUID: 936a689c-0e22-4bde-b2ec-9d65b40f9a71
        OS: Fedora release 6.93 (Rawhide)
        Default run level: 5
        Language: en_US.UTF-8
        Platform: x86_64
        BogoMIPS: 3992.92
        CPU Vendor: GenuineIntel
        CPU Model: Intel(R) Xeon(R) CPU            5130  @ 2.00GHz
        Number of CPUs: 4
        CPU Speed: 1994
        System Memory: 7928
        System Swap: 1983
        Vendor: Unknown
        System: Unknown
        Form factor: server
        Kernel: 2.6.20-1.3104.fc7
Comment 1 Michael DeHaan 2007-05-31 18:53:02 EDT
This actually happens for all packages, i.e. "yum install evolution" also offers
to install both arches.  Only the x86_64 kernel is installed, so at least that
specifically is not confusing it.

Clean install, no camera tricks (that I know of).
Comment 2 Jeremy Katz 2007-05-31 18:53:46 EDT
The i686 one shouldn't be in the tree; I think this got fixed up post test4
Comment 3 Seth Vidal 2007-05-31 19:01:01 EDT
and you're running something other than 3.1.6, right?
Comment 4 Bill Nottingham 2007-05-31 20:00:07 EDT
kernel-xen should no longer be in the tree - that was in a couple of early
rawhide trees.
Comment 5 Michael DeHaan 2007-06-01 10:40:49 EDT
Seth -- yum --version is 3.1.6
Comment 6 Seth Vidal 2007-06-01 15:38:15 EDT
stop using 3.1.6 - use 3.2.0, please.

Comment 7 Bug Zapper 2008-04-04 06:56:23 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-11-26 02:16:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-08 23:37:18 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.